import React from 'react';
import { borderColors } from './colors';
import { PrimaryTitle } from './components/PrimaryTitle';
import { SecondaryTitle } from './components/SecondaryTitle';
export const AuraBeamAnnotator = ({ title, type = "primary", color = "white", positioning = "left", children }) => {
    const positionLeft = positioning === 'left';
    const primary = type === "primary";
    return (React.createElement("div", { className: `relative flex flex-col px-1 ${positionLeft ? 'items-start' : 'items-end'}` },
        React.createElement("div", { className: "relative flex items-center gap-2" }, primary ?
            React.createElement(PrimaryTitle, { text: title, color: color, positionLeft: positionLeft })
            :
                React.createElement(SecondaryTitle, { text: title, color: color, positionLeft: positionLeft })),
        children ?
            React.createElement("div", { className: "mt-[-0.5px] pb-16 mb-[-0.5px] relative" },
                React.createElement("div", { className: `z-10 absolute inset-y-0  border-r-8 ${borderColors[color]} ${positionLeft ? "left-0 ml-4" : "right-0 mr-4"}` }, " "),
                React.createElement("div", { className: `mt-4 drop-shadow-none ${positionLeft ? "ml-14" : "mr-14 text-right"}` }, children))
            :
                React.createElement("div", { className: 'pb-6' },
                    React.createElement("div", { className: `z-10 absolute inset-y-0  border-r-8 ${borderColors[color]} ${positionLeft ? "left-0 ml-5" : "right-0 mr-5"}` }, " "))));
};
//# sourceMappingURL=AuraBeamAnnotator.js.map